version: "3.3"
services:
  vedavaapi_smaps:
    image: vv_smaps
    ports:
      - 5000:5000
    depends_on:
      - mongodb
    environment:
      - MONGO_USERNAME=$MONGOUSER
      - MONGO_PASSWORD=$MONGOPWD
    networks:
      - vedavaapi_network
    volumes:
      - ./vedavaapi_v0:/home/sevak/vedavaapi_v0

  mongodb:
    image: mongodb/mongodb-community-server:5.0.21-ubuntu2004
    environment:
      - MONGO_INITDB_ROOT_USERNAME=$MONGOUSER
      - MONGO_INITDB_ROOT_PASSWORD=$MONGOPWD
    networks:
      - vedavaapi_network
    volumes:
      - ./host:/host

networks:
  vedavaapi_network:

# Restore mongodump
# docker exec -t smaps_mongodb_1 sh -c 'mongorestore --username $MONGOUSER --password $MONGOPWD --authenticationDatabase admin --uri 'mongodb://smaps_mongodb_1:27017/vedavaapi_smaps' /host/mongodump/vedavaapi_smaps/'
